Bug 124206 - update + patch: java/javamail update to 1.4.1 + update DOWNLOAD_URL
Summary: update + patch: java/javamail update to 1.4.1 + update DOWNLOAD_URL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-02 14:50 UTC by Pietro Cerutti
Modified: 2008-06-23 09:00 UTC (History)
0 users

See Also:


Attachments
javamail.diff (1.60 KB, patch)
2008-06-02 14:50 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti freebsd_committer 2008-06-02 14:50:01 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2008-06-02 14:51:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemoliu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Marcin Cieslak 2008-06-12 23:10:21 UTC
The PORTREVISION has been bumped of 1.4 to 2 in the meantime but 
otherwise the patch works fine.

Probably the JAF dependency can be made optional when used with JDK1.6.

-- 
               << Marcin Cieslak // saper@system.pl >>
Comment 3 Pietro Cerutti freebsd_committer 2008-06-12 23:45:47 UTC
State Changed
From-To: open->feedback

Could you please check whether JAF is actually required? Thanks!
Comment 4 Nemo Liu freebsd_committer 2008-06-23 08:05:05 UTC
Responsible Changed
From-To: nemoliu->gahr

JAF is required,some details are following: 
While JavaMail will work with JAF 1.0.2, we recommend the use of JAF 1.1 or newer.  JAF 1.1.1 is currently the newest version.  Note that JAF 1.1 is included in JDK 1.6 and JAF 1.1.1 will be included in a future JDK 1.6
Comment 5 dfilter service freebsd_committer 2008-06-23 08:50:48 UTC
gahr        2008-06-23 07:50:43 UTC

  FreeBSD ports repository

  Modified files:
    java/javamail        Makefile distinfo 
  Log:
  - Update to 1.4.1
  
  PR:             124206
  Submitted by:   yours truly
  Approved by:    nemoliu (maintainer)
  
  Revision  Changes    Path
  1.22      +2 -3      ports/java/javamail/Makefile
  1.12      +3 -3      ports/java/javamail/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Pietro Cerutti freebsd_committer 2008-06-23 08:51:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!